$header-height: 50px;
$header-height-desktop: 100px;

// Hamburger
.header_left {
  display: table;
  height: $header-height;
}

.hamburger {
  display: table-cell;
  vertical-align: middle;
  cursor: pointer;
  margin: 0 auto;
}

.hamburger_line {
  display: block;
  height: 3px;
  width: 30px;
  background: $primary-color;
  margin: 7px auto;
  transition: all 0.5s ease-in-out;
}

.hamburger_line.top {
  transform: translateY(10px);
}

.hamburger_line.bottom {
  transform: translateY(-10px);
  background-color: $accent-color;
}

.contact-box {
  display: none;
}

// Hamburger End

header {
  position: fixed;
  text-align: center;
  height: $header-height;
  min-width: 250px;
}

header,
nav {
  z-index: 999;
}

header.scroll {
  display: none;
}

@keyframes revealFromTop {
  from {
    transform: translateY(-50px);
  }

  to {
    transform: translateY(0);
  }
}

header.shadow {
  background: rgba($bg-color, 0.8);
  box-shadow: 0 -1px 10px 0px $primary-color;
  animation-name: revealFromTop;
  animation-duration: 0.5s;
}

.partners {
  left: 50%;
  transform: translateX(-50%);
  position: absolute;
}

.partners h3 {
  line-height: $header-height;
  font-size: 11px;
  margin-right: 1vw;
}

.partners h3,
.partners_img {
  float: left;
}

.partners_img {
  height: $header-height;
  white-space: nowrap;
}

.partners_img svg, .partners_img img {
  cursor: pointer;
  vertical-align: middle;
  max-height: $header-height;
  height: 3.6vw;
  max-height: 24px;
}
.partners_img svg {
  max-width: 24vw;
}
.v-align {
  display: inline-block;
  height: 100%;
  vertical-align: middle;
}

.logo {
  height: $header-height;
}

.logo svg,
.logo img {
  cursor: pointer;
  width: 100%;
  height: 100%;
  transform: scale(.7);
}
.logo_color {
  fill: $primary-color;
}

nav {
  top: $header-height;
  position: fixed;
  width: 100%;
  text-align: center;
  background-color: $primary-color;
  max-height: 0;
  overflow: hidden;
  border-radius: 0;
  transition: all 0.7s ease-in-out;
}

nav.scroll {
  display: none;
}

nav.active {
  padding: 1% 0;
  border-radius: 50px;
  max-height: 900px;
  transition: max-height 1s ease-out;
  margin: auto 2%;
  width: 96%;
}

nav ul li {
  color: $bg-color;
  margin: 0 auto;
  width: 65%;
  padding: 4%;
  border-bottom: 1px solid $bg-color2;
}

nav ul li:last-child {
  border-bottom: 0;
}

@media only screen and (max-width: 316px) {
  .partners h3 {
    display: none;
  }
}

@media only screen and (min-width: 720px) {
  .partners h3 {
    line-height: $header-height;
    font-size: 1.5vw;
    margin-right: 1vw;
  }
  
}

@media only screen and (min-width: 1200px) {
  .hamburger {
    display: none;
  }
  @keyframes slowlyReveal {
    from {
      background: rgba($bg-color, 0);
      box-shadow: 0 -1px 0px 0px $primary-color;
    }

    to {
      background: rgba($bg-color, 0.9);
      box-shadow: 0 -1px 10px 0px $primary-color;
    }
  }
  header {
    position: fixed;
    height: $header-height-desktop;
    width: 0;
    border-radius: 0 0 25px 25px;
  }

 
  header.scroll {
    //display: initial IE does not support initial!
    display: block;
    background: rgba($bg-color, 0.9);
  }
  header.shadow {
    animation-name: slowlyReveal;
    animation-duration: 1s;
  }
  nav.fixed {
    height: 70px;
  }
  nav {
    top: 70px;
    display: initial !important;
    background: transparent;
    background: unset;
    position: fixed;
    width: 100%;
    border-top: 0;
    opacity: 1;
    max-height: auto;
    max-height: unset;
    max-height: none;
    overflow: initial;
    overflow: unset;
  }

  nav ul {
    border-radius: 30px;
    width: 25%;
    padding: 1vw;
    background: $primary-color;
    margin: 0 auto;
  }

  nav ul li {
    cursor: pointer;
    font-size: 1vw;
    border: 0;
    display: inline;
    transition: all 0.3s ease-in;
    padding: 2% 5%;
    // border-left: 2px solid  transparent;
  }

  nav ul li:hover {
    // border-color: $accent-color;
    // padding: 0 7% 0 3%;
  }

  nav ul li span {
    transition: all 0.3s ease-out;
  }

  nav ul li:hover span {
    position: absolute;
    top: 50%;
    transform: translate(-11px, -50%);
    width: 0;
    height: 0;
    border-top: 7px solid transparent;
    border-bottom: 7px solid transparent;
    border-left: 7px solid $accent-color;
  }

  .partners h3 {
    font-size: 18px;
  }
  .partners_img svg {
    max-width: 11vw;
  }
  .logo {
    height: $header-height-desktop;
  }

}
@media only screen and (min-width: 1700px) {
  nav {
    top: 70px;
  }
  .nav_items {
    padding: 20px;
    width: 380px;
  }
  nav ul li {
    font-size: 1em;
    padding: 1em 1.3em;
  }
}
